<!----------------------------------------------------------------------------------------------------------------------
  -- App
  --------------------------------------------------------------------------------------------------------------------->

<template>
    <div id="app">
        <SiteHeader />
        <RouterView />
        <SiteFooter />
        <BToastOrchestrator />
    </div>
</template>

<!--------------------------------------------------------------------------------------------------------------------->

<style lang="scss">
    #app {
        height: calc(100% - 64px);
        @media screen and (min-width: 1172px) and (min-height: 470px)
        {
            height: 100vh !important;
        }
    }
</style>

<!--------------------------------------------------------------------------------------------------------------------->

<script lang="ts" setup>
    import { watch } from 'vue';
    import { useObservable } from './lib/composables/rxjs.js';

    // Components
    import SiteHeader from './components/ui/siteHeader.vue';
    import SiteFooter from './components/ui/siteFooter.vue';

    // Resource Access
    import colorModeRA from './lib/resource-access/colorMode.js';

    //------------------------------------------------------------------------------------------------------------------

    const bsTheme = useObservable(colorModeRA.bsTheme$);

    //------------------------------------------------------------------------------------------------------------------
    // Watchers
    //------------------------------------------------------------------------------------------------------------------

    watch(bsTheme, (newBSTheme) =>
    {
        // We have to manually set the bootstrap theme on the base body property for dumb reasons.
        document.documentElement.setAttribute('data-bs-theme', newBSTheme);
    }, { immediate: true });
</script>

<!--------------------------------------------------------------------------------------------------------------------->
